Ultra 320 or megaraid-v2.00rc5-stock-2.4.x on linux-2.4.19

Nick nicholas at 3wsi.com
Fri Nov 15 15:02:01 CST 2002


Yes,
I just remembered that actually Matt was writing to me directly
after that since i was posting on the wrong place *grin*

I've forgotten how i told to edit the code exactly,
busy with this tigon3 in 4600 ( arrgh...it's actually not bcm5700 ? )
( If I'm not mistaken : remove himem_io from megaraid.h ?? )

I still have the copy of *edited* megaraid.[c,h]
that I used to compile with stock 2.4.18bf2.4 which works well,
if you wanna give it a shot..

and Yes The preload module floppy in Matt's Linux Page IS
1.18d version of megaraid.. ( you may want to scroll the page
a bit way down ? )


Anyway..
Good Luck.


Kirt Runolfson said:
> The module on the preload disk is just 1.18 (Oct 2001) not the 1.18d.
> The 1.18 does not find the card.  I also tried compiling a stock 2.4.18
> kernel with the 1.18d drivers, but it errored out.  I did see the thread
> on the aac list; the last post there references the same problem I am
> having, but then the thread references moving to the megaraid list, but
> I cannot find it there.
>
> Sorry if this has been answered before, but here is the compile error I
> am getting:
>
> gcc -D__KERNEL__ -I/usr/local/kirt/linux/include -Wall
> -Wstrict-prototypes -Wno-trigraphs -O2 -fomit-frame-pointer
> -fno-strict-aliasing -fno-common -pipe -mpreferred-stack-boundary=2
> -march=i686   -DKBUILD_BASENAME=megaraid  -c -o megaraid.o megaraid.c
> megaraid.c: In function `mega_findCard':
> megaraid.c:2962: warning: unused variable `mega_ch_class'
> megaraid.c: At top level:
> megaraid.c:5479: unknown field `highmem_io' specified in initializer
> make[3]: *** [megaraid.o] Error 1
> make[3]: Leaving directory `/usr/local/kirt/linux/drivers/scsi'
> make[2]: *** [first_rule] Error 2
> make[2]: Leaving directory `/usr/local/kirt/linux/drivers/scsi'
> make[1]: *** [_subdir_scsi] Error 2
> make[1]: Leaving directory `/usr/local/kirt/linux/drivers'
> make: *** [_dir_drivers] Error 2
>
> -Kirt
>
> On Fri, 2002-11-15 at 01:24, Nick wrote:
>> If you do fresh install with bf2.4 there is a preload modules disk on
>> Matt Domsch's Dell Site for Woody.
>>
>> Or if you want to recompile 1.18d with 2.4.19 you can check my
>> (misplaced) posts on aacraid devel mail lists about it and check Mr.
>> Domsch's answer about it... pretty much the same like your questions..
>>
>> Hope this helps.
>>
>>
>> Nick.
>>
>>
>> Kirt Runolfson said:
>> > I am trying to get a machine with integrated LSI Ultra 320 support
>> to work and so far I just get something to the effect of no bios
>> found when the megaraid driver loads.  The LSI web page references a
>> RedHat driver that has megaraid-1.18c, but the megaraid.c file does
>> not mention support for the Ultra 320.  Can the Ultra 320 be made to
>> work with Linux?  If so, which direction should I head in?
>> > It sounds like the megaraid 2.0 driver supports more cards, but I
>> have been unsuccessful in getting the newest megaraid 2.0 driver to
>> compile on linux-2.4.19.  I am using the version for a stock kernel
>> and am compiling the kernel with a Debian 3.0 machine.
>> > Here is the output of the before the compile quits:
>> >
>> > gcc -D__KERNEL__ -I/usr/local/kirt/linux-2.4.19/include -Wall
>> > -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing
>> -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2
>> -march=i686 -nostdinc -I /usr/lib/gcc-lib/i386-linux/2.95.4/include
>> > -DKBUILD_BASENAME=megaraid  -c -o megaraid.o megaraid.cIn file
>> included from megaraid.c:46: megaraid.h:1033: warning:
>> `issue_command' redefined megaraid.h:299: warning: this is the
>> location of the previous definition megaraid.h:1041: warning:
>> `irq_ack' redefined
>> > megaraid.h:307: warning: this is the location of the previous
>> definition megaraid.h:1044: warning: `irq_enable' redefined
>> > megaraid.h:310: warning: this is the location of the previous
>> definition megaraid.h:1047: warning: `irq_disable' redefined
>> > megaraid.h:313: warning: this is the location of the previous
>> definition megaraid.c:5627: unknown field `highmem_io' specified in
>> initializer megaraid.c:5627: warning: initialization makes pointer
>> from integer without a castmake[3]: *** [megaraid.o] Error 1
>> > make[3]: Leaving directory
>> `/usr/local/kirt/linux-2.4.19/drivers/scsi' make[2]: ***
>> [first_rule] Error 2
>> > make[2]: Leaving directory
>> `/usr/local/kirt/linux-2.4.19/drivers/scsi' make[1]: ***
>> [_subdir_scsi] Error 2
>> > make[1]: Leaving directory `/usr/local/kirt/linux-2.4.19/drivers'
>> make: *** [_dir_drivers] Error 2
>> >
>> >
>> > _______________________________________________
>> > Linux-megaraid-devel mailing list
>> > Linux-megaraid-devel at dell.com
>> > http://lists.us.dell.com/mailman/listinfo/linux-megaraid-devel
>> Please read the FAQ at http://lists.us.dell.com/faq or search the
>> list archives at http://lists.us.dell.com/htdig/
>>
>>
>> ------------------------------------------
>> Sysadmins unavailable
>> because they are in a meeting
>> talking about why they are unavailable so much
>>
>> GPG KeyID : 0xA16F7FFF
>>
>>
>> _______________________________________________
>> Linux-megaraid-devel mailing list
>> Linux-megaraid-devel at dell.com
>> http://lists.us.dell.com/mailman/listinfo/linux-megaraid-devel
>> Please read the FAQ at http://lists.us.dell.com/faq or search the list
>> archives at http://lists.us.dell.com/htdig/


------------------------------------------
Sysadmins unavailable
because they are in a meeting
talking about why they are unavailable so much

GPG KeyID : 0xA16F7FFF

-------------- next part --------------
A non-text attachment was scrubbed...
Name: megaraid-1.18d-2.4.18-woody.tar.gz
Type: application/x-gzip-compressed
Size: 46307 bytes
Desc: not available
Url : http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20021115/824e38b9/megaraid-1.18d-2.4.18-woody.tar.bin
-------------- next part --------------
A non-text attachment was scrubbed...
Name: megaraid-1.18d-2.4.18-woody.tar.gz.sig
Type: application/octet-stream
Size: 65 bytes
Desc: not available
Url : http://lists.us.dell.com/pipermail/linux-poweredge/attachments/20021115/824e38b9/megaraid-1.18d-2.4.18-woody.tar.gz.obj


More information about the Linux-PowerEdge mailing list